Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.slider
Class SliderProperties

    java.lang.Object
      java.util.Observable
          edu.stanford.smi.protegex.widget.slider.SliderProperties

    public class SliderProperties

extends Observable

This is the "state" for the sliderwidget.

Author:
  William Grosso

Constructor Summary
`SliderProperties(PropertyList properties, Cls cls, Slot slot)`

Method Summary
`void` | `dispose()`
`int` | `getMaximum()`
`int` | `getMinimum()`
`int` | `getTickIncrement()`
`boolean` | `isDisplayTicks()`
`void` | `restore()`
`void` | `save()`
`void` | `setDisplayTicks(boolean displayTicks)`
`void` | `setDisplayTicks(Boolean displayTicks)`
`void` | `setTickIncrement(int tickIncrement)`
`void` | `setTickIncrement(Integer tickIncrement)`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SliderProperties

    public SliderProperties(PropertyList properties,
                            Cls cls,
                            Slot slot)

Method Detail

### dispose

    public void dispose()

### getMaximum

    public int getMaximum()

### getMinimum

    public int getMinimum()

### getTickIncrement

    public int getTickIncrement()

### isDisplayTicks

    public boolean isDisplayTicks()

### restore

    public void restore()

### save

    public void save()

### setDisplayTicks

    public void setDisplayTicks(Boolean displayTicks)

### setDisplayTicks

    public void setDisplayTicks(boolean displayTicks)

### setTickIncrement

    public void setTickIncrement(int tickIncrement)

### setTickIncrement

    public void setTickIncrement(Integer tickIncrement)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request